Name: dvblast
Version: 1.2
Release: alt1
Summary: Video/Audio streaming application based on the linux-dvb API
License: GPLv2+
Group: Video
Url: http://www.videolan.org/projects/dvblast.html
Packager: Konstantin Pavlov <thresh@altlinux.org>

Source: http://downloads.videolan.org/pub/videolan/%name/%version/%name-%version.tar.bz2

BuildRequires: libdvbpsi-devel glibc-kernheaders

%description 
DVBlast is a simple and powerful streaming application based on the
linux-dvb API. It opens a DVB device, tunes it, places PID filters,
configures a CAM module, and demultiplexes the packets to several RTP
outputs.

DVBlast is designed to be the core of a custom IRD or CID, based on
a PC with Linux-supported DVB cards.

DVBlast does not do any kind of processing on the elementary streams,
such as transcoding, PID remapping or remultiplexing. It does not
stream from plain files, only DVB devices. If you were looking for
these features, switch to VLC.

%prep
%setup -q -n %name-%version

%build
%make

%install
mkdir -p %buildroot%_bindir
install -pm755 dvblast %buildroot%_bindir/dvblast
install -pm755 dvblastctl %buildroot%_bindir/dvblastctl

%files 
%doc COPYING README INSTALL TODO Changelog AUTHORS
%_bindir/*

%changelog
* Mon Mar 01 2010 Konstantin Pavlov <thresh@altlinux.org> 1.2-alt1
- 1.2 release.

* Sun Aug 02 2009 Konstantin Pavlov <thresh@altlinux.ru> 1.0-alt1
- Initial build for ALT Linux Sisyphus.
